org.eclipse.mat.ui.accessibility

## Class AccessibleToolbarAdapter

- java.lang.Object
- - org.eclipse.swt.accessibility.AccessibleAdapter
  - - org.eclipse.mat.ui.accessibility.AccessibleToolbarAdapter

All Implemented Interfaces:
  EventListener, org.eclipse.swt.accessibility.AccessibleListener, org.eclipse.swt.internal.SWTEventListener

    public class AccessibleToolbarAdapter
    extends org.eclipse.swt.accessibility.AccessibleAdapter

### Constructor Summary

Constructors
Constructor and Description
`AccessibleToolbarAdapter(org.eclipse.swt.widgets.ToolBar toolBar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getName(org.eclipse.swt.accessibility.AccessibleEvent e)`

### Methods inherited from class org.eclipse.swt.accessibility.AccessibleAdapter

`getDescription, getHelp, getKeyboardShortcut`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.accessibility.AccessibleListener

`getDescriptionAdapter, getHelpAdapter, getKeyboardShortcutAdapter, getNameAdapter`

### Constructor Detail

#### AccessibleToolbarAdapter

    public AccessibleToolbarAdapter(org.eclipse.swt.widgets.ToolBar toolBar)

### Method Detail

#### getName

    public void getName(org.eclipse.swt.accessibility.AccessibleEvent e)

Specified by:
  `getName` in interface `org.eclipse.swt.accessibility.AccessibleListener`
Overrides:
  `getName` in class `org.eclipse.swt.accessibility.AccessibleAdapter`